package org.example.demo.praktikum1.aufgabe1;
import jakarta.ejb.Stateless;

@Stateless
public class Calculator implements CalculatorRemote {
    public double addiere(float zahl1, float zahl2) {
        return zahl1 + zahl2;
    }
    public double subtrahiere(float zahl1, float zahl2) {
        return zahl1 - zahl2;
    }
    public double multipliziere(float zahl1, float zahl2) {
        return zahl1 * zahl2;
    }
    public double dividiere(float zahl1, float zahl2) {
        // todo: division by 0 exception?
        return zahl1 / zahl2;
    }
}
